Kfinger - Finestra Impostazioni

Nella finestra delle impostazioni del kfinger trovi:
Liste Utenti e Server
Varie
Parla

Liste Utenti e Server

Per aggiungere una voce alla lista devi soltanto scrivere il nome che vuoi aggiungere nello spazio a sinistra del pulsante aggiungi e quindi premere tale pulsante. Se vuoi aggiungere una voce in una particolare posizione devi prima selezionare la posizione nella lista premendo il tasto sinistro del mouse nel punto opportuno.
Per rimuovere dalla lista una voce devi selezionarla sempre con il pulsante sinistro e quindi premere il pulsante rimuovi.

Varie

Qui trovi tre cose:

1. Una casella per attivare/disattivare il finger automatico
2. Una barra "scorrevole" che ti permette di selezionare la durata della pausa tra l'esecuzione di un finger e l'altra
3. Uno spazio contenente il nome del programma usato come talk

TALK LAUNCHER SETUP

The talk launcher permit you to see who is logged on a server and than to talk with him only clicking on Talk Launcher button & selecting the desired user.
Kfinger execute "Ktalk userVar@ServerVar"
To get the two Var Ktalk use 3 methods:
-Scanf from finger output(FINGER OUTPUT)
-Using the same value in ToolBar ComboBox(FINGER SERVER or USER)
-Using a fixed value(FIXED)

Finger output
To select how Kfinger have to get from finger output the values you must press "Format.."
Kfinger could read 2 Vars, with C function scanf, from finger output; the two vars are an integer(var2) and a string(var1). You must specify a format string for scanf and an offset for the read string (how many characters must be ignored before start to read).
Than you have to create a format string for the output.

EXAMPLE:
I have the following output with kfinger and I want to obtain a talkLauncher list where the username is "root" and the server is "portNNN-ISDN.InterService.com" :

     Name           tty      idle

    Jack01           1        10

    Mary             3         0

    robert           4         0

You can set:
Lines to skip: 1
User: Fixed to "root"
Server: Finger output with the following settings:

Andrea Rizzi
Bilibao@ouverture.it